Subject: RE: [PATCH v8 0/6] Support writable CPU ID registers from userspace

From: Cornelia Huck <[email-masked]>
Date: Tue, 16 May 2023 13:55:14 +0200

On Tue, May 16 2023, Shameerali Kolothum Thodi <[email-masked]> wrote:

>> -----Original Message-----
>> From: Marc Zyngier [mailto:[email-masked]]
>> Sent: 16 May 2023 12:01
>> To: Shameerali Kolothum Thodi <[email-masked]>
>> Cc: Jing Zhang <[email-masked]>; KVM <[email-masked]>;
>> KVMARM <[email-masked]>; ARMLinux
>> <[email-masked]>; Oliver Upton <[email-masked]>;
>> Will Deacon <[email-masked]>; Paolo Bonzini <[email-masked]>;
>> James Morse <[email-masked]>; Alexandru Elisei
>> <[email-masked]>; Suzuki K Poulose <[email-masked]>;
>> Fuad Tabba <[email-masked]>; Reiji Watanabe <[email-masked]>;
>> Raghavendra Rao Ananta <[email-masked]>
>> Subject: Re: [PATCH v8 0/6] Support writable CPU ID registers from
>> userspace
>> 
>> On Tue, 16 May 2023 11:37:20 +0100,
>> Shameerali Kolothum Thodi <[email-masked]>
>> wrote:
>> >
>> > > -----Original Message-----
>> > > From: Jing Zhang [mailto:[email-masked]]
>> > > Sent: 03 May 2023 18:16
>> > > To: KVM <[email-masked]>; KVMARM <[email-masked]>;
>> > > ARMLinux <[email-masked]>; Marc Zyngier
>> > > <[email-masked]>; Oliver Upton <[email-masked]>
>> > > Cc: Will Deacon <[email-masked]>; Paolo Bonzini
>> <[email-masked]>;
>> > > James Morse <[email-masked]>; Alexandru Elisei
>> > > <[email-masked]>; Suzuki K Poulose
>> <[email-masked]>;
>> > > Fuad Tabba <[email-masked]>; Reiji Watanabe <[email-masked]>;
>> > > Raghavendra Rao Ananta <[email-masked]>; Jing Zhang
>> > > <[email-masked]>
>> > > Subject: [PATCH v8 0/6] Support writable CPU ID registers from
>> userspace
>> > >
>> > > This patchset refactors/adds code to support writable per guest CPU ID
>> > > feature
>> > > registers. Part of the code/ideas are from
>> > >
>> https://lore.kernel.org/all/[email-masked]
>> >
>> > Hi Jing/Reiji,
>> >
>> > Just to check the status on the above mentioned series "KVM: arm64: Make
>> CPU
>> > ID registers writable by userspace". Is there any plan to respin that one
>> soon?
>> > (Sorry, not sure there is any other series in progress for that support
>> currently)
>> 
>> I think this still is the latest, which I'm about to review again. I'd
>> appreciate if you could have a look to!
>
> Thanks Marc for confirming. Will go through. We do have some requirement to
> add support for Qemu CPU models/migration between different hosts.

Do you have more concrete ideas for QEMU CPU models already? Asking
because I wanted to talk about this at KVM Forum, so collecting what
others would like to do seems like a good idea :)

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel